pgpool-II 4.1.4 Documentation
Prev | Up | Chapter 2. Installation of Pgpool-II | Next

# 2.5. Installing Pgpool-II

After extracting the source tarball, execute the `configure` script.

        ./configure

You can customize the build and installation process by supplying one or more of the following command line options to `configure`:

`--prefix=path`

  Specifies the top directory where Pgpool-II binaries and related files like docs will be installed in. Default value is `/usr/local`.

`--with-pgsql=path`

  Specifies the top directory where PostgreSQL's client libraries are installed. Default value is the path provided by `pg_config` command.

`--with-openssl`

  Pgpool-II binaries will be built with OpenSSL support. OpenSSL support is disabled by default.

`--enable-sequence-lock`

  Use insert_lock compatible with Pgpool-II 3.0 series (until 3.0.4). Pgpool-II locks against a row in the sequence table. PostgreSQL 8.2 or later which was released after June 2011 cannot use this lock method.

`--enable-table-lock`

  Use insert_lock compatible with Pgpool-II 2.2 and 2.3 series. Pgpool-II locks against the insert target table. This lock method is deprecated because it causes a lock conflict with `VACUUM`.

`--with-memcached=path`

  Pgpool-II binaries will use memcached for in memory query cache. You have to install libmemcached.

`--with-pam`

  Pgpool-II binaries will be built with PAM authentication support. PAM authentication support is disabled by default.

        make
        make install

This will install Pgpool-II. (If you use Solaris or FreeBSD, replace `make` with `gmake`)

Prev | Home | Next
Getting The Source | Up | Installing pgpool_recovery